For the complete documentation index, see llms.txt. This page is also available as Markdown.

Organization Metadata Options

Get all organization metadata options for playbooks.

get

Retrieves a paginated list of all organization metadata options for the specified organization metadata entry, with optional search and sorting.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
organizationMetadataIdentifierstring · uuidRequired
Query parameters
pageNumberinteger · int32Optional
pageSizeinteger · int32Optional
searchTextstringOptional
Responses
200

OK

namestring · nullableRequired
objectIdentifierstring · uuidRequired
get/playbooks/organization-metadata/{organizationMetadataIdentifier}/options
GET /playbooks/organization-metadata/{organizationMetadataIdentifier}/options HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "name": "text",
    "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000"
  }
]

Create a new organization metadata option for playbooks.

post

Creates a new organization metadata option for the specified organization metadata entry.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
organizationMetadataIdentifierstring · uuidRequired
Body
namestring · nullableRequired
Responses
201

Created

namestring · nullableRequired
objectIdentifierstring · uuidRequired
post/playbooks/organization-metadata/{organizationMetadataIdentifier}/options
POST /playbooks/organization-metadata/{organizationMetadataIdentifier}/options HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 15

{
  "name": "text"
}
{
  "name": "text",
  "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000"
}

Get an organization metadata option by object identifier.

get

Retrieves the details of an organization metadata option for playbooks using its object identifier.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
organizationMetadataIdentifierstringRequired
Responses
200

OK

namestring · nullableRequired
objectIdentifierstring · uuidRequired
get/playbooks/organization-metadata/{organizationMetadataIdentifier}/options/{objectIdentifier}
GET /playbooks/organization-metadata/{organizationMetadataIdentifier}/options/{objectIdentifier} HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "name": "text",
  "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000"
}

Update an organization metadata option for playbooks.

put

Updates the details of an existing organization metadata option for playbooks using its object identifier.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
organizationMetadataIdentifierstringRequired
Body
namestring · nullableRequired
Responses
200

OK

namestring · nullableRequired
objectIdentifierstring · uuidRequired
put/playbooks/organization-metadata/{organizationMetadataIdentifier}/options/{objectIdentifier}
PUT /playbooks/organization-metadata/{organizationMetadataIdentifier}/options/{objectIdentifier} HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 15

{
  "name": "text"
}
{
  "name": "text",
  "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000"
}

Delete an organization metadata option for playbooks.

delete

Deletes an organization metadata option for playbooks using its object identifier.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
organizationMetadataIdentifierstringRequired
Responses
204

No Content

No content

delete/playbooks/organization-metadata/{organizationMetadataIdentifier}/options/{objectIdentifier}
DELETE /playbooks/organization-metadata/{organizationMetadataIdentifier}/options/{objectIdentifier} HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

No content

Last updated